#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x74e59c02, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x89a0b416, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x7d16fd91, "");
SYMBOL_CRC(rdma_res_to_id, 0xd449b40e, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x7a49e68c, "");
SYMBOL_CRC(rdma_create_user_id, 0x3b0024e8, "");
SYMBOL_CRC(rdma_create_qp, 0xee5e25f6, "");
SYMBOL_CRC(rdma_destroy_qp, 0x3b9b7aa6, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x8a4742de, "");
SYMBOL_CRC(rdma_destroy_id, 0x95f67ec0, "");
SYMBOL_CRC(rdma_get_service_id, 0x9b51959c, "");
SYMBOL_CRC(rdma_read_gids, 0xa10d9a2c, "");
SYMBOL_CRC(rdma_set_service_type, 0x02180a02, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xd2a9f611, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x0c193260, "");
SYMBOL_CRC(rdma_set_ib_path, 0x8efaeb4f, "");
SYMBOL_CRC(rdma_resolve_route, 0x6cc7e316, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xb6ba0ecf, "");
SYMBOL_CRC(rdma_set_afonly, 0xdc08094e, "");
SYMBOL_CRC(rdma_listen, 0x50822ba1, "");
SYMBOL_CRC(rdma_resolve_addr, 0xa39046f1, "");
SYMBOL_CRC(rdma_bind_addr, 0xe107fb25, "");
SYMBOL_CRC(rdma_connect_locked, 0xcfdbf443, "");
SYMBOL_CRC(rdma_connect, 0xc00d3911, "");
SYMBOL_CRC(rdma_connect_ece, 0x4b57e8f8, "");
SYMBOL_CRC(rdma_accept, 0xe4911fef, "");
SYMBOL_CRC(rdma_accept_ece, 0x152c92b9, "");
SYMBOL_CRC(rdma_lock_handler, 0xbbf8063c, "");
SYMBOL_CRC(rdma_unlock_handler, 0x9555ae92, "");
SYMBOL_CRC(rdma_notify, 0x38d9bf2d, "");
SYMBOL_CRC(rdma_reject, 0xd217ac8b, "");
SYMBOL_CRC(rdma_disconnect, 0xa5c34346, "");
SYMBOL_CRC(rdma_join_multicast, 0xeb448c03, "");
SYMBOL_CRC(rdma_leave_multicast, 0xa288dcaa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdaa133f7, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4faf4f37, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0cd5e6, "ib_unregister_client" },
	{ 0xb6cbc6f0, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd62200b0, "ib_send_cm_sidr_rep" },
	{ 0xc074d2c3, "bpf_trace_run4" },
	{ 0xa8e501f8, "config_group_init" },
	{ 0x5a14eb08, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa7478bc, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb1a60dca, "trace_raw_output_prep" },
	{ 0xb087da86, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xc1a10b78, "__trace_trigger_soft_disabled" },
	{ 0xa62b9da3, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0xac54438a, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x10939dd8, "rdma_query_gid" },
	{ 0x6914f4fb, "rt6_lookup" },
	{ 0xf36a7005, "rdma_translate_ip" },
	{ 0x983c7b36, "bpf_trace_run2" },
	{ 0xdaa68155, "rdma_dev_access_netns" },
	{ 0xb332d3c3, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x694db221, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x93e1ed05, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2e7de944, "register_pernet_subsys" },
	{ 0x8fd63f5a, "trace_event_buffer_commit" },
	{ 0xf4792f5a, "ip_mc_inc_group" },
	{ 0xaab059f5, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xa5529dc4, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1c0641d5, "iw_cm_connect" },
	{ 0x3338414a, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xde122301, "rdma_addr_cancel" },
	{ 0x4ca6622e, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xebd3b6eb, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xd9050989, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xee4d55f5, "ib_sa_path_rec_get" },
	{ 0xd0fe76af, "ib_create_cm_id" },
	{ 0xaa6c6695, "__ip_mc_dec_group" },
	{ 0x2db4eee9, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xdc362eb4, "perf_trace_run_bpf_submit" },
	{ 0xf615a56b, "ib_init_ah_from_mcmember" },
	{ 0x9e989150, "rdma_destroy_ah_attr" },
	{ 0x12c9bcb3, "ib_set_client_data" },
	{ 0xbb2dbe27, "init_net" },
	{ 0x3c2da18b, "ib_get_cached_pkey" },
	{ 0x6b6b1ad, "configfs_register_subsystem" },
	{ 0x2975f1b, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x95cc44df, "rdma_put_gid_attr" },
	{ 0x19bcbbee, "config_group_init_type_name" },
	{ 0xb7e6f50c, "dev_get_by_index" },
	{ 0x2594207, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xbf124fbf, "ib_send_cm_rep" },
	{ 0x2b407b16, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf60ed495, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x7bbf131e, "bpf_trace_run1" },
	{ 0xf942cfa2, "ib_destroy_qp_user" },
	{ 0x30584e29, "unregister_pernet_subsys" },
	{ 0x3a79e6ce, "ib_cm_init_qp_attr" },
	{ 0xe4df646f, "_dev_warn" },
	{ 0x35d4af09, "ib_send_cm_drep" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x5eacb3e4, "rdma_restrack_set_name" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xa079358d, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x2ef83d73, "ib_get_cached_port_state" },
	{ 0x74ca3164, "ib_send_cm_mra" },
	{ 0x59f1ac20, "rdma_restrack_del" },
	{ 0xb3a2cca9, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x6707dc9, "bpf_trace_run3" },
	{ 0x6d1467a9, "__put_net" },
	{ 0x8d642391, "rdma_restrack_parent_name" },
	{ 0xe9630a78, "iw_cm_accept" },
	{ 0x1336e73d, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa0f3b9a, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d52303d, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x646edbf5, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x881b3cf4, "iw_cm_init_qp_attr" },
	{ 0xdf859dbb, "dst_release" },
	{ 0x19d91c52, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x15d34be8, "ib_send_cm_dreq" },
	{ 0xcc2d0d39, "ib_send_cm_req" },
	{ 0xe307d099, "ib_create_qp_kernel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf2dc6eff, "ib_sa_join_multicast" },
	{ 0xcdc34bdb, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe104d54f, "rdma_get_gid_attr" },
	{ 0x754d9a2c, "rdma_restrack_new" },
	{ 0xbafee353, "__fib_lookup" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x95b234a5, "iw_cm_listen" },
	{ 0xe821a706, "ib_send_cm_rej" },
	{ 0xbd0581c1, "rdma_copy_src_l2_addr" },
	{ 0xc2a23546, "kmalloc_caches" },
	{ 0x8a01f31e, "rdma_resolve_ip" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "B5B2BAAAF1FF01BC4C0B7E7");
MODULE_INFO(rhelversion, "10.0");
