#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x6638b122, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x02a79bb6, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x5a648077, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xdb43caed, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x39442aa5, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xb6aad449, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x9c30f40d, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xf4e20024, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xb27bd943, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x505a6dc9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb18f0ae, "dst_cache_set_ip4" },
	{ 0x484c388c, "kernel_bind" },
	{ 0x293e385f, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xad3fabf, "netdev_warn" },
	{ 0xd48f52b7, "udp_tunnel_nic_ops" },
	{ 0x9077f13e, "ip_route_output_flow" },
	{ 0x2aa0cea, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x520359db, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc2e7af7f, "iptunnel_xmit" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbfaab49b, "kernel_connect" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8e8fe0aa, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x52060dc4, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xce851d94, "dst_cache_get_ip4" },
	{ 0x4870cdf1, "sock_create_kern" },
	{ 0xe2e8b395, "call_netdevice_notifiers" },
	{ 0x6d52303d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcfa2bb0e, "metadata_dst_alloc" },
	{ 0xdf859dbb, "dst_release" },
	{ 0x22e9d14b, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x5f692f4d, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xc2a23546, "kmalloc_caches" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DACA5850397D94AAFBE6EC8");
MODULE_INFO(rhelversion, "10.0");
