#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x2e162c61, "");
SYMBOL_CRC(tipc_dump_start, 0xbe516414, "");
SYMBOL_CRC(tipc_dump_done, 0xf5ce3f89, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x353fb7ba, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x746aa7c4, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xbe17d68, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc074d2c3, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x2c7a11b1, "__nlmsg_put" },
	{ 0x3761d215, "idr_find" },
	{ 0x74f2308d, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x8c5f1b9b, "ip6_dst_hoplimit" },
	{ 0xd2f31ddc, "trace_output_call" },
	{ 0xb4ada7af, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98217108, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb1a60dca, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x6638b122, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc1a10b78, "__trace_trigger_soft_disabled" },
	{ 0xa62b9da3, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xa9fec5eb, "__ip_dev_find" },
	{ 0xb18f0ae, "dst_cache_set_ip4" },
	{ 0xcf69fdc1, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6e75fbb4, "genlmsg_put" },
	{ 0x2324ecd0, "___pskb_trim" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xac54438a, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x6f99745f, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xad3fabf, "netdev_warn" },
	{ 0x67df4bfe, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4814bf1f, "crypto_aead_decrypt" },
	{ 0x8dce289f, "kernel_accept" },
	{ 0xe15d6f20, "__module_get" },
	{ 0x9077f13e, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xab2e5578, "__pskb_copy_fclone" },
	{ 0xc65fb20f, "pskb_expand_head" },
	{ 0x2e7de944, "register_pernet_subsys" },
	{ 0x4efa2cf3, "put_cmsg" },
	{ 0xb804e24d, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8fd63f5a, "trace_event_buffer_commit" },
	{ 0x2d021dda, "register_net_sysctl_sz" },
	{ 0xb769b4bb, "crypto_destroy_tfm" },
	{ 0xa3d67590, "eth_type_trans" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf7a87a2f, "proto_unregister" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1e50bacd, "sock_register" },
	{ 0xdc08168c, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x9e2cab86, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe7ccb7db, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xbfa3d15f, "skb_try_coalesce" },
	{ 0xa79ea344, "proto_register" },
	{ 0xcc5e6bce, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x8a11c9cc, "skb_queue_tail" },
	{ 0xb2320a32, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x88a0a954, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x74024fc9, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xdc362eb4, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xa1ed154d, "__traceiter_sk_data_ready" },
	{ 0xbb2dbe27, "init_net" },
	{ 0x2aa0cea, "ipv6_stub" },
	{ 0xd3dff718, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0xe6f30e3d, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9a68ebd4, "sk_skb_reason_drop" },
	{ 0xfcf0e041, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5036adc8, "dev_remove_pack" },
	{ 0xaae9d007, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x520359db, "kernel_sock_shutdown" },
	{ 0xaa910feb, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xdd116269, "skb_push" },
	{ 0xb845c4c2, "dst_cache_get" },
	{ 0x8bf16012, "sock_no_listen" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x2b407b16, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x58dcc715, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcd377f8c, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xcf885a8c, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe80aa31, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x993479f7, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8f75193e, "sk_alloc" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30584e29, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x3fd20649, "kfree_skb_partial" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf4e20024, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0xf6687c2d, "sock_no_mmap" },
	{ 0x287f1c61, "security_sk_clone" },
	{ 0x1defb713, "__pskb_pull_tail" },
	{ 0x6603b453, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x2a79bb6, "setup_udp_tunnel_sock" },
	{ 0xfe639b9c, "udp_sock_create6" },
	{ 0x8e8fe0aa, "skb_trim" },
	{ 0x94ee78b1, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6707dc9, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x510ef61c, "sock_rfree" },
	{ 0xf104a6ca, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7b429290, "kernel_listen" },
	{ 0xde87e42c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x1336e73d, "trace_event_buffer_reserve" },
	{ 0x7ab93153, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4870cdf1, "sock_create_kern" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8118f624, "dst_cache_set_ip6" },
	{ 0x912e6057, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d52303d, "__kmalloc_cache_noprof" },
	{ 0x9c30f40d, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd8698b53, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2db36b95, "skb_copy" },
	{ 0x466e231b, "skb_clone" },
	{ 0x6e80d358, "dev_get_by_name" },
	{ 0x3f30e428, "_copy_from_iter" },
	{ 0x22e9d14b, "sock_release" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xb3b55d7, "crypto_default_rng" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb5b5c46a, "sk_stop_timer" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0x2ccacc71, "genl_unregister_family" },
	{ 0xb71b8c41, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x37aae5cc, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x3a53e184, "genl_register_family" },
	{ 0xfc3234bf, "kernel_sendmsg" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x6192b6ac, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xd1adfde1, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x863d9321, "sock_init_data" },
	{ 0xc2a23546, "kmalloc_caches" },
	{ 0x68c8dfdf, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0xf429f95b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "B78DC4D4DD397CC29F70DBF");
MODULE_INFO(rhelversion, "10.0");
